Description

History
#1 - 11/24/2015 12:27 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

Reviewing …

#2 - 11/25/2015 10:00 AM - J. Moringen
- File 0001-changes.patch added
- % Done changed from 0 to 30

Attached is an updated version with the following changes
    -  Renamed ResourceAllocation -> ResourceAllocationRequest (but see first remaining issue)
    -  fixed copy/paste documentation strings
    -  Typo fixes
Remaining issues
    -  The descriptions of the resource_ids and location_ids seem insufficient (see 
http://docs.cor-lab.de/rst-manual/trunk/html/conventions.html#best-practices-for-documentation-strings for repeated fields). Reading
"required/allocated" makes me uncertain whether I misunderstood the whole type. It is probably not an allocation request but rather an exchange
about resource allocation, right? If so, the documentation string of the message itself should make this clear.
    -  If the type actually represents an exchange, how is the outcome communicated? Is the message intended to be contained in a TaskState
message? If so, the fact should be documented.
    -  What is meant by "location" in the context of this type?
    -  Depends on homeautomation types. Can this be avoided to make the type more generally applicable? Also, homeautomation types will probably
not be available in this repository for some time.
    -  The name "NO" of the lowest priority is not very clear.

#3 - 11/25/2015 12:11 PM - J. Moringen
- File 0001-changes.patch added

Attached one additional change: the protocol buffer code generation assumes that field names are singular, even for repeated fields.

#4 - 03/03/2016 12:11 PM - J. Moringen
- Target version changed from rsb-0.13 to rsb-0.14

#5 - 04/07/2016 09:31 AM - J. Moringen
- Status changed from In Progress to Feedback

Should this type still be added at some point?

#6 - 06/08/2016 09:03 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#7 - 07/08/2016 01:44 PM - J. Moringen

Any updates?

#8 - 07/26/2016 11:53 AM - J. Moringen
- Assignee deleted (J. Moringen)

#9 - 07/27/2016 10:15 AM - P. Holthaus
- Status changed from Feedback to Closed

Opening a new issue with a revised type.

Files
0001-add-resource-allocation-type.patch 3.84 KB 11/23/2015 P. Holthaus
0001-changes.patch 4.88 KB 11/25/2015 J. Moringen
0001-changes.patch 1.46 KB 11/25/2015 J. Moringen
